---
title: List extensions
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Registrar Sandbox](https://developers.cloudflare.com/api/python/resources/registrar_sandbox)

[Extensions](https://developers.cloudflare.com/api/python/resources/registrar_sandbox/subresources/extensions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List extensions

registrar\_sandbox.extensions.list(ExtensionListParams\*\*kwargs) -> SyncCursorPagination\[[ExtensionListResponse](<https://developers.cloudflare.com/api/python/resources/registrar_sandbox#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/registrar-sandbox/extensions

Returns metadata and JSON Schema documents describing the expected input structure for registration and transfer operations on each supported extension (TLD).

This endpoint uses cursor-based pagination. Results are ordered by extension name by default. To fetch the next page, pass the `cursor` value from the `result_info` object in the response as the `cursor` query parameter in your next request. An empty `cursor` string indicates there are no more pages.

Supports HTTP conditional GET via `ETag`. Include the `ETag` value from a previous response in an `If-None-Match` header to receive a `304 Not Modified` when the data has not changed.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

cursor: Optional\[str]

Opaque token from a previous response’s `result_info.cursor`. Pass this value to fetch the next page of results. Omit (or pass an empty string) for the first page.

maxLength256

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20cursor%20%3E%20(schema)>)

<details>

<summary>

direction: Optional\[Literal\["asc", "desc"]]

Sort direction for results. Defaults to ascending order.

</summary>

One of the following:

"asc"

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"desc"

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)>)

name: Optional\[str]

Filter extensions by exact name match. For example, `name=com` returns only the `com` extension.

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

per\_page: Optional\[int]

Number of items to return per page.

maximum50

minimum1

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

<details>

<summary>

sort\_by: Optional\[Literal\["name", "created\_at", "updated\_at"]]

Column to sort results by. Defaults to <code>name</code> when omitted.

</summary>

One of the following:

"name"

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"created\_at"

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"updated\_at"

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ExtensionListResponse: …

Extension entry with metadata and JSON Schema documents for registration and transfer operations.

</summary>

<details>

<summary>

metadata: Metadata

Extension metadata.

</summary>

name: str

The full name of the extension. For example, “co.uk”, or “uk”.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)%20%3E%20(property)%20metadata%20%3E%20(property)%20name">Link to this property</a>

tld: str

The TLD of the extension. For example, for “co.uk”, it is “uk”. For “uk”, it is “uk”.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)%20%3E%20(property)%20metadata%20%3E%20(property)%20tld">Link to this property</a>

</details>

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

registration\_schema: object

JSON Schema describing the expected input structure for registration operations on this extension.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)%20%3E%20(property)%20registration_schema">Link to this property</a>

transfer\_schema: object

JSON Schema describing the expected input structure for transfer operations on this extension.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)%20%3E%20(property)%20transfer_schema">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20extension_list_response%20%3E%20(schema)>)

### List extensions

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.registrar_sandbox.extensions.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.metadata)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "metadata": {
        "name": "name",
        "tld": "tld"
      },
      "registration_schema": {},
      "transfer_schema": {}
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "metadata": {
        "name": "name",
        "tld": "tld"
      },
      "registration_schema": {},
      "transfer_schema": {}
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  }
}
```